# plugin

abstract fun plugin(pluginClass: Class<out Plugin>): ObjectConfigurationAction

Adds a org.gradle.api.Plugin to use to configure the target objects. You can call this method multiple times, to use multiple plugins. Scripts and plugins are applied in the order that they are added.

#### Return

this

#### Parameters

pluginClass

The plugin to apply.

abstract fun plugin(pluginId: String): ObjectConfigurationAction

Adds a org.gradle.api.Plugin to use to configure the target objects. You can call this method multiple times, to use multiple plugins. Scripts and plugins are applied in the order that they are added.

#### Return

this

#### Parameters

pluginId

The id of the plugin to apply.